
#
#	# delete containers
#	docker rm -f $(docker ps -aq)
#


#
#	docker network create --subnet=192.168.0.0/24 bios_net
#
#	docker compose up
#	docker compose up -d
#
#	docker container list
#
#	docker compose down
#
#	docker exec -it goodest.1 bash -c "source /habitat/_controls/source_2.sh && bash"
#	docker exec -it vegan bash -c "bash"
#
#	tmux
#

#
#	equivalent of:
#
# 		docker network list
# 		docker network create --subnet=192.168.0.0/24 container_network
# 		docker run --network bios_net --ip 192.168.0.100 -v .:/vegan -v /online/locker/vaccines_vegan_pypi/mints/vegan:/online/locker/vaccines_vegan_pypi/mints/vegan -it jumps:v2.1.0
# 		docker exec -it e9fffe5b6f3b bash
#

#version: '3'

services:
  jumps:
    image: jumps:v2.1.0
    cap_add:
      - NET_ADMIN
      - NET_RAW
      - NET_BIND_SERVICE
      - SYS_MODULE
    container_name: goodest.1
    networks:
      bios_net:
        ipv4_address: 192.168.0.100
    volumes:
      - .:/habitat
      - /online/locker/vaccines_goodest_pypi:/online/locker/vaccines_goodest_pypi
    stdin_open: true
    tty: true
    privileged: true

networks:
  bios_net:
    external: true


